### Method

# Xdp Session pointer_position

#### Declaration [src]

    void
    xdp_session_pointer_position (
      XdpSession* session,
      guint stream,
      double x,
      double y
    )

#### Description [src]

Moves the pointer to a new position in the given streams logical coordinate space.

May only be called on a remote desktop session with `XDP_DEVICE_POINTER` access.

#### Parameters

`stream`

  Type: `guint`

  The node ID of the pipewire stream the position is relative to.

`x`

  Type: `double`

  New X position.

`y`

  Type: `double`

  New Y position.